/* ADG - Automatic Drawing Generation
 * Copyright (C) 2007,2008,2009,2010,2011,2012,2013  Nicola Fontana <ntd at entidi.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */


#ifndef __ADG_DIM_PRIVATE_H__
#define __ADG_DIM_PRIVATE_H__


G_BEGIN_DECLS

#define _ADG_GET_DIM_STYLE(dim)  (((AdgDimPrivate *) ((AdgDim *) (dim))->data)->dim_style)


typedef struct _AdgDimPrivate AdgDimPrivate;

struct _AdgDimPrivate {
    AdgDress             dim_dress;
    AdgPoint            *ref1;
    AdgPoint            *ref2;
    AdgPoint            *pos;
    gdouble              level;
    AdgThreeState        outside;
    AdgThreeState        detached;
    gchar               *value;
    gchar               *min;
    gchar               *max;

    AdgDimStyle         *dim_style;

    struct {
        AdgAlignment    *entity;
        AdgTextual      *value;
        AdgTextual      *min;
        AdgTextual      *max;
    }                    quote;
};

G_END_DECLS


#endif /* __ADG_DIM_PRIVATE_H__ */
