/* ADG - Automatic Drawing Generation
 * Copyright (C) 2007,2008,2009,2010,2011,2012,2013  Nicola Fontana <ntd at entidi.it>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */


#ifndef __ADG_ENTITY_PRIVATE_H__
#define __ADG_ENTITY_PRIVATE_H__


G_BEGIN_DECLS

typedef struct _AdgEntityPrivate AdgEntityPrivate;

struct _AdgEntityPrivate {
    AdgEntity           *parent;
    cairo_matrix_t       global_map;
    cairo_matrix_t       local_map;
    AdgMix               local_mix;
    GHashTable          *hash_styles;

    struct {
        gboolean         is_defined;
        cairo_matrix_t   matrix;
    }                    global;

    struct {
        gboolean         is_defined;
        cairo_matrix_t   matrix;
    }                    local;

    CpmlExtents          extents;
};

G_END_DECLS


#endif /* __ADG_ENTITY_PRIVATE_H__ */
